<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'fichiers_partages';

		/* data for selected record, or defaults if none is selected */
		var data = {
			agent: <?php echo json_encode(array('id' => $rdata['agent'], 'value' => $rdata['agent'], 'text' => $jdata['agent'])); ?>,
			agence: <?php echo json_encode($jdata['agence']); ?>,
			service: <?php echo json_encode(array('id' => $rdata['service'], 'value' => $rdata['service'], 'text' => $jdata['service'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for agent */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'agent' && d.id == data.agent.id)
				return { results: [ data.agent ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for agent autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'agent' && d.id == data.agent.id) {
				$j('#agence' + d[rnd]).html(data.agence);
				return true;
			}

			return false;
		});

		/* saved value for service */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'service' && d.id == data.service.id)
				return { results: [ data.service ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

